ACPI: Advanced Configuration and Power Interface
Prev |  | Next

# 14. Load related modules

Check to see that each of the ACPI modules have been loaded after your machine boots. You can do this with the command lsmod. You are looking for the following options: button, battery, fan, ac, thermal and processor. If you chose "Y" instead of modules when you compiled your kernel, you will not see this list. The output on my computer looks like this:

    Module                  Size  Used by    Tainted: P
    button                  2420   0 (unused)
    battery                 5960   0 (unused)
    ac                      1832   0 (unused)
    fan                     1608   0 (unused)
    thermal                 6664   0 (unused)
    processor               8664   0 [thermal]
    NVdriver              945408  11

The last module is my graphics card, which uses proprietary drivers. This is why I have a "P" next to Tainted on the top line.

If you compiled ACPI support in as "M"odules and you don't see the ACPI modules listed you will need to load the modules by hand. The modules should be in `/lib/modules/`<version>`. `<date>`/kernel/drivers/acpi/`, and are as follows:

    -rw-r--r--    1 root     root         4.1k Jun  3 23:57 ac.o
    -rw-r--r--    1 root     root         9.5k Jun  3 23:57 battery.o
    -rw-r--r--    1 root     root         5.2k Jun  3 23:57 button.o
    -rw-r--r--    1 root     root         3.7k Jun  3 23:57 fan.o
    -rw-r--r--    1 root     root          14k Jun  3 23:57 processor.o
    -rw-r--r--    1 root     root          11k Jun  3 23:57 thermal.o
    -rw-r--r--    1 root     root         6.2k Jun  3 23:57 toshiba_acpi.o

| Extensions on Modules
| The module name is the bit before `.o` extension on a module filename. `processor.o` is the file, and processor is the module name. To install a loadable kernel module use: insmod `processor`. The 2.4.x series kernels use the extension `.o`; however, the 2.6.x series kernel use the extension `.ko`.

The first time I rebooted I loaded them all by hand, typing insmod `<modulename>`. I personally load processor first, although there are mixed feelings on whether or not the order matters.

| Operating System Power Management (OSPM)
| The first time I tried this the modules were all in separate directories and were ospm_<name>. This was probably because I was using an old patch, but it is something to be aware of. The OSPM modules are now deprecated so hopefully you won't see them.

To prevent having to load the modules each time you reboot you can do one of two things: compile them directly into the kernel (bit late for that though, eh?), or add them to your `/etc/modules` file. If you don't already have a copy of the file just create a new one and add each module name (remember, no dot-o) on a separate line. You can also try running update-modules which should automatically update your `/etc/modules.conf` configuration file.

Prev | Home | Next
Reboot and test |  | Switching from APM to ACPI